Attribute VB_Name = "TTFaxLib"
' TTFax Function Declarations

' CreateFax:
' Create a new fax job
' In: from_email        A valid email address
' In: to_fax_number     A valid International fax number [eg: 61290123456]
' In: subject           A name for the fax job; will appear only in the final fax report
' Return value:         An ID # for this fax job, or 0 if it failed
Declare Function TTFax_CreateFax _
    Lib "ttfax.dll" _
    (ByVal from_email As String, _
    ByVal to_fax_number As String, _
    ByVal subject As String) _
    As Long

' TTFax_Attach
' Attach a document to this fax job
' In: job_id        The value returned by TTFax_CreateFax
' In: file          The full path and file name of the document to attach
' Return value:     0 = Success
'                   1 = Invalid parameter
'                   2 = Too many attachments
'                   3 = File not found
Declare Function TTFax_Attach _
    Lib "ttfax.dll" _
    (ByVal job_id As Long, _
    ByVal file As String) _
    As Integer
       
' TTFax_SendFax
' Sends a fax job
' In: job_id        The value returned by TTFax_CreateFax
' Return Value:     0 = Success
'                   1 = Failed to connect to server
'                   2 = Could not find account based on 'From' email address
'                   3 = Insufficient funds
'                   4 = Other / Uknown error
Declare Function TTFax_SendFax _
    Lib "ttfax.dll" _
    (ByVal job_id As Long) _
    As Integer
    
' TTFax_Close
' Frees a fax job.  This function MUST be called when the job is no longer needed
' In: job_id        The value returned by TTFax_CreateFax
' Return Value:     0
Declare Function TTFax_Close _
    Lib "ttfax.dll" _
    (ByVal job_id As Long) _
    As Integer

' TTFax_SetSMTPServer
' Optional: This function changes the default SMTP server to any server
' Note that changing the server invalidates the error values returned by
' TTFax_SendFax.  The SendFax return values with a custom server are simply:
' 0 = success, non-zero = failure
' In: server        The domain name or IP address of an SMTP server
' In: Port          The port number to connect to
' Return Value:     0 = Success
'                   1 = Invalid Parameters
Declare Function TTFax_SetSMTPServer _
    Lib "ttfax.dll" _
    (ByVal server As String, _
    ByVal port As Integer) _
    As Integer
    



